Index: Makefile.am
===================================================================
--- Makefile.am	(revision f67dfb3b185225989db6cd9f77a822ef66f220a1)
+++ Makefile.am	(revision 4e810895cd34beadfe0ee85b3814f5dfb6ad6a85)
@@ -43,2 +43,7 @@
 unity:
 	cd src && $(MAKE) unity
+
+# have libtool update itself
+LIBTOOL_DEPS = @LIBTOOL_DEPS@
+libtool: $(LIBTOOL_DEPS)
+	$(SHELL) ./config.status libtool
Index: ThirdParty/CodePatterns/Makefile.am
===================================================================
--- ThirdParty/CodePatterns/Makefile.am	(revision f67dfb3b185225989db6cd9f77a822ef66f220a1)
+++ ThirdParty/CodePatterns/Makefile.am	(revision 4e810895cd34beadfe0ee85b3814f5dfb6ad6a85)
@@ -22,3 +22,7 @@
 	mkdir -p ${DX_DOCDIR}
 	cd doc && make doxygen-doc
-	
+
+# have libtool update itself
+LIBTOOL_DEPS = @LIBTOOL_DEPS@
+libtool: $(LIBTOOL_DEPS)
+	$(SHELL) ./config.status libtool
Index: ThirdParty/CodePatterns/configure.ac
===================================================================
--- ThirdParty/CodePatterns/configure.ac	(revision f67dfb3b185225989db6cd9f77a822ef66f220a1)
+++ ThirdParty/CodePatterns/configure.ac	(revision 4e810895cd34beadfe0ee85b3814f5dfb6ad6a85)
@@ -24,5 +24,6 @@
 
 # use libtool
-LT_INIT([disable-static])
+LT_INIT([static])
+AC_SUBST([LIBTOOL_DEPS])
 
 # Define these substitions here to keep all version information in one place.
Index: ThirdParty/JobMarket/Makefile.am
===================================================================
--- ThirdParty/JobMarket/Makefile.am	(revision f67dfb3b185225989db6cd9f77a822ef66f220a1)
+++ ThirdParty/JobMarket/Makefile.am	(revision 4e810895cd34beadfe0ee85b3814f5dfb6ad6a85)
@@ -18,2 +18,7 @@
 doc:
 	cd doc && make doxygen-doc
+
+# have libtool update itself
+LIBTOOL_DEPS = @LIBTOOL_DEPS@
+libtool: $(LIBTOOL_DEPS)
+	$(SHELL) ./config.status libtool
Index: ThirdParty/JobMarket/configure.ac
===================================================================
--- ThirdParty/JobMarket/configure.ac	(revision f67dfb3b185225989db6cd9f77a822ef66f220a1)
+++ ThirdParty/JobMarket/configure.ac	(revision 4e810895cd34beadfe0ee85b3814f5dfb6ad6a85)
@@ -27,4 +27,5 @@
 
 LT_INIT([static])
+AC_SUBST([LIBTOOL_DEPS])
 
 # Define these substitions here to keep all version information in one place.
Index: ThirdParty/LinearAlgebra/Makefile.am
===================================================================
--- ThirdParty/LinearAlgebra/Makefile.am	(revision f67dfb3b185225989db6cd9f77a822ef66f220a1)
+++ ThirdParty/LinearAlgebra/Makefile.am	(revision 4e810895cd34beadfe0ee85b3814f5dfb6ad6a85)
@@ -21,2 +21,7 @@
 unity:
 	cd src && make unity
+
+# have libtool update itself
+LIBTOOL_DEPS = @LIBTOOL_DEPS@
+libtool: $(LIBTOOL_DEPS)
+	$(SHELL) ./config.status libtool
Index: ThirdParty/LinearAlgebra/configure.ac
===================================================================
--- ThirdParty/LinearAlgebra/configure.ac	(revision f67dfb3b185225989db6cd9f77a822ef66f220a1)
+++ ThirdParty/LinearAlgebra/configure.ac	(revision 4e810895cd34beadfe0ee85b3814f5dfb6ad6a85)
@@ -29,4 +29,5 @@
 
 LT_INIT([static])
+AC_SUBST([LIBTOOL_DEPS])
 
 # Define these substitions here to keep all version information in one place.
Index: ThirdParty/levmar/Makefile.am
===================================================================
--- ThirdParty/levmar/Makefile.am	(revision f67dfb3b185225989db6cd9f77a822ef66f220a1)
+++ ThirdParty/levmar/Makefile.am	(revision 4e810895cd34beadfe0ee85b3814f5dfb6ad6a85)
@@ -5,2 +5,7 @@
 EXTRA_DIST = \
 	matlab
+
+# have libtool update itself
+LIBTOOL_DEPS = @LIBTOOL_DEPS@
+libtool: $(LIBTOOL_DEPS)
+	$(SHELL) ./config.status libtool
Index: ThirdParty/levmar/configure.ac
===================================================================
--- ThirdParty/levmar/configure.ac	(revision f67dfb3b185225989db6cd9f77a822ef66f220a1)
+++ ThirdParty/levmar/configure.ac	(revision 4e810895cd34beadfe0ee85b3814f5dfb6ad6a85)
@@ -35,4 +35,5 @@
 # use libtool
 LT_INIT([static])
+AC_SUBST([LIBTOOL_DEPS])
 
 # Define these substitions here to keep all version information in one place.
Index: ThirdParty/mpqc_open/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/Makefile.am	(revision f67dfb3b185225989db6cd9f77a822ef66f220a1)
+++ ThirdParty/mpqc_open/Makefile.am	(revision 4e810895cd34beadfe0ee85b3814f5dfb6ad6a85)
@@ -9,2 +9,7 @@
 	lib/cca \
 	lib/perl
+
+# have libtool update itself
+LIBTOOL_DEPS = @LIBTOOL_DEPS@
+libtool: $(LIBTOOL_DEPS)
+	$(SHELL) ./config.status libtool
Index: ThirdParty/mpqc_open/configure.ac
===================================================================
--- ThirdParty/mpqc_open/configure.ac	(revision f67dfb3b185225989db6cd9f77a822ef66f220a1)
+++ ThirdParty/mpqc_open/configure.ac	(revision 4e810895cd34beadfe0ee85b3814f5dfb6ad6a85)
@@ -583,4 +583,5 @@
 
 LT_INIT([static])
+AC_SUBST([LIBTOOL_DEPS])
 
 dnl The lack of certain tools is a show stopper
Index: ThirdParty/vmg/Makefile.am
===================================================================
--- ThirdParty/vmg/Makefile.am	(revision f67dfb3b185225989db6cd9f77a822ef66f220a1)
+++ ThirdParty/vmg/Makefile.am	(revision 4e810895cd34beadfe0ee85b3814f5dfb6ad6a85)
@@ -5,2 +5,7 @@
 
 SUBDIRS = src test doc
+
+# have libtool update itself
+LIBTOOL_DEPS = @LIBTOOL_DEPS@
+libtool: $(LIBTOOL_DEPS)
+	$(SHELL) ./config.status libtool
Index: ThirdParty/vmg/configure.ac
===================================================================
--- ThirdParty/vmg/configure.ac	(revision f67dfb3b185225989db6cd9f77a822ef66f220a1)
+++ ThirdParty/vmg/configure.ac	(revision 4e810895cd34beadfe0ee85b3814f5dfb6ad6a85)
@@ -185,8 +185,9 @@
 # use libtool
 LT_INIT([static])
-
-# superceded by libtool
-#AC_PROG_RANLIB
-#4_ifdef([AM_PROG_AR], [AM_PROG_AR])
+AC_SUBST([LIBTOOL_DEPS])
+
+dnl superceded by libtool
+dnl AC_PROG_RANLIB
+dnl 4_ifdef([AM_PROG_AR], [AM_PROG_AR])
 
 # Define these substitions here to keep all version information in one place.
Index: configure.ac
===================================================================
--- configure.ac	(revision f67dfb3b185225989db6cd9f77a822ef66f220a1)
+++ configure.ac	(revision 4e810895cd34beadfe0ee85b3814f5dfb6ad6a85)
@@ -161,4 +161,5 @@
 # use libtool
 LT_INIT([static])
+AC_SUBST([LIBTOOL_DEPS])
 
 # Define these substitions here to keep all version information in one place.
